> ## Documentation Index
> Fetch the complete documentation index at: https://www.commercengine.io/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Claim device

> Claim device



## OpenAPI

````yaml https://openapi.commercengine.io/ce-pos.json post /pos/devices/{id}/claim
openapi: 3.1.0
info:
  title: CE POS APIs
  description: >-
    The consolidated Point of Sale surface. Every operation is served under the
    storefront base URL; operations tagged POSAdmin are proxied to the admin
    service by the POS backend.
  version: '1.0'
servers:
  - url: https://staging.api.commercengine.io/api/v1/{store_id}/storefront
    description: Staging Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: staging
  - url: https://prod.api.commercengine.io/api/v1/{store_id}/storefront
    description: Prod Server
    variables:
      store_id:
        description: Store ID
        default: store_id
    x-speakeasy-server-id: prod
security:
  - Authorization: []
tags:
  - name: POS
    description: Operations backed by the storefront service
  - name: POSAdmin
    description: Operations proxied to the admin service
paths:
  /pos/devices/{id}/claim:
    post:
      tags:
        - POS
      summary: Claim device
      description: Claim device
      operationId: claim-pos-device
      parameters:
        - name: id
          in: path
          description: device id
          required: true
          schema:
            type: string
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                type: object
                required:
                  - message
                  - success
                  - content
                properties:
                  message:
                    type: string
                  success:
                    type: boolean
                  content:
                    properties:
                      user:
                        $ref: '#/components/schemas/PosUser'
                    required:
                      - user
                    type: object
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/NotFound'
      security:
        - Authorization: []
      externalDocs:
        url: >-
          https://llm-docs.commercengine.io/storefront/operations/claim-pos-device
        description: API reference for the claim-pos-device operation
components:
  schemas:
    PosUser:
      title: PosUser
      type: object
      externalDocs:
        url: https://llm-docs.commercengine.io/storefront/schemas/PosUser
        description: API reference for the PosUser schema
      required:
        - id
        - first_name
        - last_name
        - phone
        - email
        - channel
        - device
        - location
        - roles
      properties:
        id:
          type: string
        first_name:
          type: string
        last_name:
          type:
            - string
            - 'null'
        phone:
          type: string
        email:
          type: string
          format: email
        channel:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        device:
          type:
            - object
            - 'null'
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        location:
          type: object
          properties:
            id:
              type: string
            name:
              type: string
          required:
            - id
            - name
        roles:
          type: array
          items:
            type: object
            required:
              - location_id
              - location_name
            properties:
              location_id:
                type: string
              location_name:
                type: string
              role_id:
                type: string
              role_name:
                type: string
  responses:
    Unauthorized:
      description: Not authorized for given operation on the Resource
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                examples:
                  - Not authorized for given operation on the Resource.
                x-speakeasy-error-message: true
              success:
                type: boolean
                default: false
              code:
                type: string
                examples:
                  - unauthorized
    NotFound:
      description: Requested resource not found
      content:
        application/json:
          schema:
            type: object
            required:
              - message
              - success
              - code
            properties:
              message:
                type: string
                x-speakeasy-error-message: true
              success:
                type: boolean
              code:
                type: string
  securitySchemes:
    Authorization:
      type: http
      description: Access token
      scheme: bearer

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.